Bug 427997 - virt-manager sometimes looks track of alt key state
virt-manager sometimes looks track of alt key state
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 11:03 EST by Ray Strode [halfline]
Modified: 2008-02-13 00:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3.2-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:07:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2008-01-08 11:03:33 EST
Occasionally when using virt-manager the alt modifier gets stuck.  If i press f
then a file menu in the guest will pop up, if i drag on window then it moves it
around, etc.

Normally, pressing ctrl-alt a few times is sufficient to fix things, but this
time it didn't work and i had to shutdown to restore things.
Comment 1 Ray Strode [halfline] 2008-01-08 11:03:55 EST
virt-manager-0.5.2-2.fc8.x86_64
Comment 2 Daniel Berrange 2008-01-10 23:38:01 EST
This is a limitation of the VNC protocol. Implemented the sick hack workaround
in GTK-VNC that all other VNC clients do

http://gtk-vnc.codemonkey.ws/hg/outgoing.hg/rev/95f570fc49e1
Comment 3 Jonathan Underwood 2008-01-31 11:46:01 EST
I see this an awful lot on F-8. Any chance of an update?
Comment 4 Fedora Update System 2008-01-31 12:18:19 EST
gtk-vnc-0.3.2-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Daniel Berrange 2008-01-31 12:19:15 EST
Sorry, forgot to copy the fix from rawhide into F7/8, it will be in
gtk-vnc-0.3.2-2.fc{7,8}  which have just been submitted to updates-testing
Comment 6 Fedora Update System 2008-02-02 04:03:41 EST
gtk-vnc-0.3.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-vnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1282
Comment 7 Fedora Update System 2008-02-13 00:07:48 EST
gtk-vnc-0.3.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.